cURL
curl --request GET \
--url https://api.covenance.com/transaction \
--header 'x-api-key: <api-key>'import requests
url = "https://api.covenance.com/transaction"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.covenance.com/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"amountCents": 123,
"referenceNumber": "<string>",
"authorizedAt": "2023-11-07T05:31:56Z",
"merchantData": {
"description": "<string>",
"categoryCode": "<string>"
},
"cardId": "<string>",
"originalCurrency": {
"code": "<string>",
"amountCents": 123,
"conversionRate": 123
},
"declineReason": "<string>"
}
],
"metadata": {
"nextCursor": "<string>",
"count": 123
}
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}Transaction
Get transactions
Get all transactions
GET
/
transaction
cURL
Authorizations
Query Parameters
Unix timestamp in milliseconds. This will return all transactions that occurred on or after the date passed in
Unix timestamp in milliseconds. This will return all transactions that occurred on or before the date passed in
Filter transactions by detailed status
Available options:
pending, canceled, failed, settled, declined, refund, reversed, returned, dispute Filter transactions by card id
A cursor string to fetch the next page of results
⌘I

